/*
 *  WICONIFY    A utility that allows you to iconify any Intuition window
 *              on any screen, and to open WB windows on any screen.
 *
 *  wIconify.h  Main include file for the wIconify loader.
 *
 *  Copyright 1990 by Davide P. Cervone, all rights reserved.
 *  You may use this code, provided this copyright notice is kept intact.
 */

#ifndef INTUITION_PREFERENCES_H
#define INTUITION_PREFERENCES_H             /* don't need 'em */
#include <intuition/intuition.h>
#endif
#include "wStructs.h"
#include "wMemory.h"

#define PROGRAM         "wIconify"
#define VERSION         "v1.2"
#define COPYRIGHT\
   "Copyright (c) 1990 by Davide P. Cervone, all rights reserved"

#define USAGE           "wIconify [initfile]"


/*
 *  Loader version number
 */
#define MAJLOADVERS     1
#define MINLOADVERS     3

/*
 *  Expected handler version number
 */
#define MAJICONVERS     3
#define MINICONVERS     8


/*
 *  Initialization files
 */
#define INITFILENAME1   "wIconify:wIconify.Init"
#define INITFILENAME2   "S:wIconify.Init"
#define HANDLERCODE1    "wIconify:wIconify-Handler"
#define HANDLERCODE2    "L:wIconify-Handler"
#define STACKSIZE       6000L       /* stack size for handler */


#define EXIT_ERROR      10
#define EXIT_OK         0
#define ONE             1L


/*
 *  Default keys and qualifiers for iconifying a window
 *  and for activating the wIconify window on the active screen
 */

#define WICONIFYKEY     (IECODE_RBUTTON+IECODE_UP_PREFIX)
#define WQUALIFIERS     IEQUALIFIER_LEFTBUTTON
#define WCHANGEQUALS    IEQUALIFIER_LALT
#define WACTIVEKEY      (KEY_F1+IECODE_UP_PREFIX)
#define WACTIVEQUAL     IEQUALIFIER_LSHIFT
#define KEY_F1          0x50

#define SHIFTKEYS       (IEQUALIFIER_LSHIFT| IEQUALIFIER_RSHIFT)

#define NOCHANGE        99              /* no change to menu setting */
#define NOCOLOR         ((UWORD)-1)     /* no color specified */

extern struct IntuitionBase *IntuitionBase;
extern struct GfxBase *GfxBase;
extern struct LayersBase *LayersBase;
#define INTUITION_REV       0
#define GRAPHICS_REV        0
#define LAYERS_REV          0

/*
 *  Library Vector Offsets for the routines trapped by the handler
 */

extern long LVOOpenWindow,LVOCloseWindow;
extern long LVOOpenScreen,LVOCloseScreen;
extern long LVOSetWindowTitles;
extern long LVOWindowToFront,LVOWindowToBack,LVOActivateWindow;
extern long LVOBuildSysRequest,LVOFreeSysRequest,LVOAutoRequest;

extern long SetFunction();
extern APTR FindTask();
